Get transactions
Returns transaction history for an account. Transactions are returned newest-first. Each transaction shows the incoming message that triggered it, all outgoing messages, and fees paid. For pagination: use the lt and hash from the oldest transaction as the starting point for the next request.
API key header of the form X-API-Key: <token>, where <token> is the API key. Requests without a key are limited to 1 RPS. Refer to the authentication guide for details.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Request to fetch transaction history for an account with optional pagination and filtering parameters.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/v2/getTransactions" \ -H "Content-Type: application/json" \ -d '{ "address": "string" }'{ "ok": true, "result": [ { "@type": "ext.transaction", "address": { "@type": "accountAddress", "account_address": "string" }, "account": "string", "utime": 0, "data": "string", "transaction_id": { "@type": "internal.transactionId", "lt": "string", "hash": "string" }, "fee": "string", "storage_fee": "string", "other_fee": "string", "in_msg": { "@type": "ext.message", "hash": "string", "source": "string", "destination": "string", "value": "string", "extra_currencies": [ { "@type": "extraCurrency", "id": 0, "amount": "string" } ], "fwd_fee": "string", "ihr_fee": "string", "created_lt": "string", "body_hash": "string", "msg_data": { "@type": "msg.dataRaw", "body": "string", "init_state": "string" }, "message": "string", "message_decode_error": "string" }, "out_msgs": [ { "@type": "ext.message", "hash": "string", "source": "string", "destination": "string", "value": "string", "extra_currencies": [ { "@type": "extraCurrency", "id": 0, "amount": "string" } ], "fwd_fee": "string", "ihr_fee": "string", "created_lt": "string", "body_hash": "string", "msg_data": { "@type": "msg.dataRaw", "body": "string", "init_state": "string" }, "message": "string", "message_decode_error": "string" } ] } ], "@extra": "string"}